View Issue Details

IDProjectCategoryView StatusLast Update
00303932.x IDE BugsBuild MacPublic2019-10-09 11:23
ReporterStewart BishopAssigned ToFritz 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
PlatformmacOSOSOS Version
Product Version2.2.1 
Target Version2.2.3Fixed in Version2.2.3 
Summary0030393: Build Mac: When building with VM no icon is seen for app listing in iTunes Connect
DescriptionWhen building with the VM MacOS no icon is seen in iTunes Connect. The build is functional and Apple accepts it, but there is no icon visible.

One thing of note is that the info.plist contains "icon.icns" but the file name is "Icon.icns" under the Resources folder when viewing via Show Contents on the .app file that is generated.
TagsNo tags attached.
2.x IDE Found In
2.x Runtime Found In2.2.2.293
2.x IDE Verified In9.2.1.1817
2.x Runtime Verified In9.9.1.1441

Activities

Russell Kay

2019-01-09 14:54

Manager   ~0062417

fixed in gitlab... maybe

Dan

2019-01-10 10:04

Adminstrator   ~0062428

Last edited: 2019-01-10 10:04

View 2 revisions

This was that the Xcode project used a capitol I. The exported app can be edited to change this capitol to a lowercase i inside the Info.plist within the .app, and this should fix the icon.

Stewart Bishop

2019-01-31 16:13

Developer   ~0062615

Tried this and Icons.icns is still upper case I rather than lower case I and the info.plist is looking for icons.icns

Russell Kay

2019-01-31 21:21

Manager   ~0062624

Found another script that had Icon.icns rather than icon.icns - renamed the file in the script

Dan

2019-03-05 14:52

Adminstrator   ~0063436

This came from small numbers of customers having this issue, so leaving this unverified for a bit, see if we get any more tickets about this in 2.2.2.

Dan

2019-05-10 11:59

Adminstrator   ~0063888

We're still getting reports from these users that 2.2.2 has not fixed the issue for them, so reopening.

Fritz

2019-05-16 13:39

Manager   ~0063937

I've built a package in VM in latest red, uploaded to the Mac app store and all is fine. - App store icon only appears once you have selected a build as you prepare for submission, this is how the site works